Doomsday Engine - Bug #522

flat changing sky issue
2008-06-25 20:14 - vermil

Status: Closed Start date: 2008-06-25
Priority: High % Done: 100%
Assignee: danij

Category:

Target version:

Description
If you try to change a sky flat with XG, it renders the new flat partially suspended above where it should be.

In short, as if the ceiling is x unit's higher than it really is. The void is visible from where the flat should be rendered up to where the
flat is incorrectly being rendered.

Labels: Graphics

History

#1 - 2008-06-25 21:05 - danij

Logged In: YES
user_id=849456
Originator: NO

This is due to the way the sky fix has been implemented (it is only checked once on map load). It is unusual to want to change an outdoor area to an
indoor one but there is no reason the engine should prevent it (other than the minor bookkeeping issues it presents).

Just don't do it too often ;)

The sky fix logic should be changed so that it re-runs whenever a plane height/material change occurs (and improved so that a pass over the entire
map is not required).

#2 - 2008-07-14 11:48 - vermil
Logged In: YES

user_id=1420350

Originator: YES

Interestingly, this bug doesn't seem to occur if the sky has a 2nd layer. It only seems to occur on single layer skies.

#3 - 2009-01-18 11:51 - danij

| have reworked the sky fix logic to fix in order to support a DOOM.exe rendering trick that to date, Doomsday has not supported:

Middle textures on twosided linedefs in sectors whose floor/ceiling is a sky surface are not clipped to the height of the respective floor/ceiling plane.

In the process of which | have fixed this issue also.

I'm still tidying up my changes but they will be ready to commit to svn later on today.
